Bug 248553 - (CVE-2007-3781, CVE-2007-3782) CVE-2007-3781 CVE-2007-3782 New release of MySQL fixes security bugs
CVE-2007-3781 CVE-2007-3782 New release of MySQL fixes security bugs
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://dev.mysql.com/doc/refman/5.0/e...
impact=low,source=cve,reported=200707...
: Security
: 254107 254109 (view as bug list)
Depends On: 282471 372881
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-17 09:32 EDT by Red Hat Product Security
Modified: 2014-11-27 06:40 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 17:13:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-07-17 09:32:32 EDT
Description of problem:

        CVE-2007-3781
        Table structure can be seen by an auhenticated user
        w/o SELECT privilege on that table.
        impact=low,source=cve,reported=20070717,public=20070704

        CVE-2007-3782 
        Use of view overrides column update privileges on underlying table
        impact=low,source=cve,reported=20070716,public=20070417
Comment 2 Mark J. Cox (Product Security) 2007-08-24 07:37:51 EDT
The Red Hat Security Response Team has rated this issue as having low security
impact.  We do not intend to issue an asynchronous security update to correct
this flaw at this time, but will look to include a fix for this issue if we
decide to
update MySQL in the future (for example for an Update release or to fix issues
of higher severity).
Comment 3 Mark J. Cox (Product Security) 2007-08-24 07:38:59 EDT
*** Bug 254109 has been marked as a duplicate of this bug. ***
Comment 4 Mark J. Cox (Product Security) 2007-08-24 08:48:20 EDT
*** Bug 254107 has been marked as a duplicate of this bug. ***
Comment 9 Tomas Hoger 2008-05-06 09:05:00 EDT
Upstream bug reports:

CVE-2007-3781 - http://bugs.mysql.com/bug.php?id=25578
CVE-2007-3782 - http://bugs.mysql.com/bug.php?id=27878

CVE-2007-3781 affects MySQL versions as shipped in Red Hat Enterprise Linux 4
and 5.  It only allows authenticated database users to obtain information about
structure of the table (CREATE TABLE SQL statement that can be used to re-create
table, without data inside table) of some other user.

CVE-2007-3782 only affects MySQL version as shipped in Red Hat Enterprise Linux
5.  Previous versions of MySQL (prior to 5.0) do not support views.
Comment 11 Red Hat Bugzilla 2009-10-23 15:04:30 EDT
Reporter changed to security-response-team@redhat.com by request of Jay Turner.
Comment 12 Vincent Danen 2010-12-22 17:13:49 EST
Both CVE-2007-3781 and CVE-2007-3782 were addressed via:

Red Hat Application Stack v1 for Enterprise Linux AS (v.4) (RHSA-2007:0894)
Red Hat Enterprise Linux version 5 (RHSA-2008:0364)

Note You need to log in before you can comment on or make changes to this bug.